/* PHPFLASH v2.5 :: 24-jun-2002
	Versin completa y documentacin: http://www.alesys.net/phpFlash
		
		by Rolf Ruiz 
		rolf@alesys.net
		http://www.alesys.net
		http://www.tweened.com


*/
String.prototype.replace = function(string, replace) {
	return this.split(string).join(replace);
};
_global.PhpFlash = function(phpUrl) {
	this.phpUrl = phpUrl;
};
PhpFlash.prototype.getPhpUrl = function() {
	return this.phpUrl;
};
PhpFlash.prototype.setPhpUrl = function(phpUrl) {
	this.phpUrl = phpUrl;
};
PhpFlash.prototype.sendAndLoad = function(sqlObject) {
	var sender = new LoadVars();
	sender.random = random(100000);
	var loader = new LoadVars();
	var phpObject = this;
	if (sqlObject.queryType == "SELECT") {
		sender.accion = "SELECT";
		sender.sql = "SELECT "+sqlObject.fields+" FROM "+sqlObject.table;
		sender.returnPhp = sqlObject.fields;
		if (sqlObject.includeWhere) {
			var str = " WHERE "+sqlObject.sqlWhere;
			sender.sql += str;
		}
		if (sqlObject.includeOrder) {
			var str = " ORDER BY "+sqlObject.sqlOrderBy+" "+sqlObject.sqlOrder;
			sender.sql += str;
		}
		if (sqlObject.includeLimit) {
			var str = " LIMIT "+sqlObject.sqlLimitA+", "+sqlObject.sqlLimitB;
			sender.sql += str;
		}
		trace(sender.sql);
		sender.sendAndLoad(this.phpUrl, loader, "POST");
		loader.onLoad = function(success) {
			if (success) {
				if (this.error == "0") {
					for (var i in this) {
						if (i != "onLoad" && i != "error") {
							phpObject[i] = this[i].split("|");
							for (var j = 0; j<phpObject[i].length; j++) {
								phpObject[i][j] = phpObject[i][j].replace("!!pipe!!", "|");
							}
						}
					}
					phpObject.onLoad(true);
				} else {
					phpObject.onLoad(false);
					trace(unescape(this));
				}
			} else {
				phpObject.onLoad(false);
			}
		};
	}
	if (sqlObject.queryType == "INSERT") {
		sender.accion = "INSERT";
		sender.sql = "INSERT INTO "+sqlObject.table+" ("+sqlObject.fields+") VALUES ("+sqlObject.values+")";
		trace(sender.sql);
		sender.sendAndLoad(this.phpUrl, loader, "POST");
		loader.onLoad = function(s) {
			if (s) {
				if (this.error == "0") {
					phpObject.onLoad(true);
				} else {
					phpObject.onLoad(false);
				}
			} else {
				phpObject.onLoad(false);
			}
		};
	}
	if (sqlObject.queryType == "UPDATE") {
		sender.accion = "UPDATE";
		sender.sql = "UPDATE "+sqlObject.table+" SET "+sqlObject.fieldsAndValues;
		if (sqlObject.includeWhere) {
			var str = " WHERE "+sqlObject.sqlWhere;
			sender.sql += str;
		}
		trace(sender.sql);
		sender.sendAndLoad(this.phpUrl, loader, "POST");
		loader.onLoad = function(s) {
			if (s) {
				if (this.error == "0") {
					phpObject.onLoad(true);
				} else {
					phpObject.onLoad(false);
				}
			} else {
				phpObject.onLoad(false);
			}
		};
	}
	if (sqlObject.queryType == "DELETE") {
		sender.accion = "DELETE";
		sender.sql = "DELETE FROM "+sqlObject.table+" WHERE "+sqlObject.condition;
		trace(sender.sql);
		sender.sendAndLoad(this.phpUrl, loader, "POST");
		loader.onLoad = function(s) {
			if (s) {
				if (this.error == "0") {
					phpObject.onLoad(true);
				} else {
					phpObject.onLoad(false);
				}
			} else {
				phpObject.onLoad(false);
			}
		};
	}
};
// SQL
_global.SQLselect = function(table, fields) {
	this.fields = fields;
	this.table = table;
	this.queryType = "SELECT";
};
SQLselect.prototype.setOrderBy = function(field, order) {
	this.sqlOrderBy = field;
	this.sqlOrder = order;
	this.includeOrder = true;
};
SQLselect.prototype.setLimit = function(a, b) {
	this.sqlLimitA = a;
	this.sqlLimitB = b;
	this.includeLimit = true;
};
SQLselect.prototype.setWhere = function(str) {
	this.sqlWhere = str;
	this.includeWhere = true;
};
_global.SQLinsert = function(table, fields, values) {
	this.table = table;
	this.fields = fields.join();
	for (var i = 0; i<values.length; i++) {
		if (i == values.length-1) {
			this.values += "'"+values[i]+"'";
		} else {
			this.values += "'"+values[i]+"', ";
		}
	}
	this.queryType = "INSERT";
};
_global.SQLupdate = function(table, fields, values) {
	this.queryType = "UPDATE";
	this.table = table;
	this.fields = fields;
	this.values = values;
	this.sets = [];
	for (var i = 0; i<this.fields.length; i++) {
		this.sets.push(" "+this.fields[i]+" = '"+this.values[i]+"'");
	}
	this.fieldsAndValues = this.sets.join();
};
SQLupdate.prototype.setWhere = function(str) {
	this.sqlWhere = str;
	this.includeWhere = true;
};
_global.SQLdelete = function(table, condition) {
	this.table = table;
	this.condition = condition;
	this.queryType = "DELETE";
};
_global.Mail = function(to, from, subject, message, phpUrl) {
	this.to = to;
	this.from = from;
	this.subject = subject;
	this.message = message;
	this.phpUrl = phpUrl;
};
Mail.prototype.send = function() {
	var mailSender = new LoadVars();
	var mailObject = this;
	mailSender.to = this.to;
	mailSender.from = this.from;
	mailSender.subject = this.subject;
	mailSender.message = this.message;
	mailSender.accion = "MAIL";
	var mailAnswer = new LoadVars();
	mailSender.sendAndLoad(this.phpUrl, mailAnswer, "POST");
	mailAnswer.onLoad = function(s) {
		if (s) {
			mailObject.onLoad(true);
		} else {
			mailObject.onLoad(false);
		}
	};
};
ASSetPropFlags(PhpFlash.prototype, "sendAndLoad,setPhpUrl,getPhpUrl", 1);
